PATCH
/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/exchangeRequests/{exchangeId}/receiveConfirmationCheck the receipt of exchange-requested product
# 01
Summary
Available buyer market: Korean Taiwan After receiving a product returned from the customer, a seller uses this API to update the status to Exchange Product Received.
# 02
Details
Available buyer market: Korean Taiwan
After receiving a product returned from the customer, a seller uses this API to update the status to Exchange Product Received.
Path
PATCH PUT
/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/exchangeRequests/{exchangeId}/receiveConfirmation
Example Endpoint
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/exchangeRequests/40362/receiveConfirmation
Request Parameters
Path Segment Parameter
| Name | Type | Description |
|---|---|---|
| vendorId* | String |
Seller ID Unique code issued to Vendor by Coupang ex) A00012345 |
| exchangeId* | Number | exchange receipt ID |
Body Parameter
| Name | Type | Description |
|---|---|---|
| exchangeId* | Number |
exchange receipt ID
* Use the exchange request list query API to check this ID |
| vendorId* | String |
Seller ID Unique code issued to Vendor by Coupang ex) A00012345 |
Request Example
{
"exchangeId": 40362,
"vendorId": "A00012345"
}Response Message
| Name | Type | Description | ||||
|---|---|---|---|---|---|---|
| code | Number | Result code |
||||
| message | String | Message |
||||
Response Example
{
"code": "200",
"message": "SUCCESS"
}
URL API Name
CONFIRM_EXCHANGE_REQUEST